### Virtual Method

# Gio SettingsBackend write

#### Declaration [src]

    gboolean
    write (
      GSettingsBackend* backend,
      const gchar* key,
      GVariant* value,
      gpointer origin_tag
    )

#### Description [src]

Virtual method to change key’s value.

#### Parameters

`key`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GVariant`

  No description available.

  The data is owned by the caller of the method.

`origin_tag`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

No description available.